Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Ошибка при обновлении dpkg: dependency problems prevent configuration of linux-g  (Прочитано 3686 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн padavan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Добрый день, помогите пожалуйста, че то совсем не врубаюсь чего делать.

При обновлении системы появляется ошибка

dpkg: dependency problems prevent configuration of linux-generic:
 linux-generic depends on linux-image-generic (= 3.2.0.58.69); however:
  Version of linux-image-generic on system is 3.2.0.59.70.
 linux-generic depends on linux-headers-generic (= 3.2.0.58.69); however:
  Version of linux-headers-generic on system is 3.2.0.59.70.
dpkg: error processing linux-generic (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          Errors were encountered while processing:
 linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)


sudo apt-get install -f не помогает

Оффлайн JmAbuDabi

  • Старожил
  • *
  • Сообщений: 2468
  • 나는 빅터 해요. 나는 프로그래머입니다
    • Просмотр профиля
Непомогает, текст вывода можно? Нужно!
Покой – это не место, где тихо и мирно, где нет шума и беспокойства.
Покой – это когда при всем этом, вы сохраняете мир и спокойствие в своем сердце.

Оффлайн padavan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
http://pastebin.com/vqUHZT53

Та же самая ошибка.

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5115
    • Просмотр профиля
Цитировать
sudo apt-get update
sudo apt-get dist-upgrade
sudo apt-get autoremove

Оффлайн padavan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
sudo apt-get update - done

sudo apt-get dist-upgrade
sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 linux-generic : Depends: linux-image-generic (= 3.2.0.58.69) but 3.2.0.59.70 is installed
                 Depends: linux-headers-generic (= 3.2.0.58.69) but 3.2.0.59.70 is installed
E: Unmet dependencies. Try using -f.


sudo apt-get autoremove
sudo apt-get autoremove
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
 linux-generic : Depends: linux-image-generic (= 3.2.0.58.69) but 3.2.0.59.70 is installed
                 Depends: linux-headers-generic (= 3.2.0.58.69) but 3.2.0.59.70 is installed
E: Unmet dependencies. Try using -f.

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5115
    • Просмотр профиля
у тебя репы proposed не были включены раньше? похоже после установки linux-image|headers-generic ты их отключил.

Оффлайн padavan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
у тебя репы proposed не были включены раньше? похоже после установки linux-image|headers-generic ты их отключил.

Скорее всего нет, после установки особо ничего не делалось, только поставил nginx+php+mysql+webmin
Сейчас в /etc/apt/sources.list нет ничего про proposed

Может включить и попробовать обновиться?

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5115
    • Просмотр профиля
вывод сюда
uname -a
lsb_release -a
cat /etc/apt/sources.list /etc/apt/sources.list.d/*.list
apt-cache show linux-generic

Оффлайн padavan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5115
    • Просмотр профиля
sudo apt-get install linux-generic=3.2.0.59.70

Оффлайн padavan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Не получилось, блин.
http://pastebin.com/8Fe4Pzz6

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5115
    • Просмотр профиля
sudo dpkg --force-all -P linux-generic
sudo apt-get dist-upgrade

Оффлайн padavan

  • Автор темы
  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
 :D Это просто чудо, заработало, программы теперь устанавливаются, ошибка пропала.
БТР ты реально Герой ) Спасибо тебе большое.

 

Страница сгенерирована за 0.059 секунд. Запросов: 24.